Bug 117158 - (IDE SOFTRAID 2.4ONLY)No support for hpt372a in Fedora Core 2 test 1
(IDE SOFTRAID 2.4ONLY)No support for hpt372a in Fedora Core 2 test 1
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: dmraid (Show other bugs)
2
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Heinz Mauelshagen
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-02-29 14:10 EST by Mike Bond
Modified: 2007-11-30 17:10 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-06-06 10:35:53 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Mike Bond 2004-02-29 14:10:14 EST
Description of problem:
Fedora Core 2 test 1 does not support hpt372a (or any other
High-Point) hardware raid. After some research I find that hptraid was
removed from the 2.6 kernels in deference to the new md drivers. While
switching to software raid would solve my problem for Linux I would
loose raid with Windows as this is a multiboot system which isn't
really acceptable.

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Morten Torstensen 2004-04-24 05:47:33 EDT
To put RAID in software is probably based on the poor quality of the 
"RAID" controllers out there... WinRAID we might call them. 
Aarchitectually it would be much cleaner to keep everything RAID 
related to hardware and just present a PV to LVM in linux.

A major problem with todays approach is that it could potentially 
destroy his other OS installs. FC say that the MBR must be 
initialized. If this is done on mirrored or striped drives, they will 
be erased and will lead to data loss and reinstall/restore.

There should at least be a stronger warning like:
We have detected that you are trying to partition drives that might 
be part of a RAID volume. Please verify the drives detected, 
especially if you have other operating systems installed on this 
machine.
Comment 2 Mike Bond 2004-04-24 07:52:08 EDT
I've done a bit more research of the last couple of weeks. Carl-Daniel
Hailfinger submitted a patch to the linux-hotplug-devel list that adds
support for vendor specific software raid to udev. Unfortunately the
patch did not appear in the udev-025 release though it's been
available for a couple weeks now, am hoping Greg KH will accept it.

One thing I'm not clear on is how udev, a user space raid
configuration tool that provides parameters to device-manager, would
work with the root partition being on the raid device in question. It
seems to me that it would have to be part of the bootloader
(grub/lilo/...), though it may be that this would be safe as the
bootloader may be using the bios to do the initial load. Haven't
really persued this question yet until the patch has been accepted.

As for existing FC warning, I thought it was pretty clear but I've a
long history in various software dev so I tend to take warnings like
that fairly seriously.
Comment 3 Alan Cox 2004-05-03 14:27:57 EDT
The "initrd" ram disk can in theory load any mappings.
Comment 4 Heinz Mauelshagen 2004-12-08 09:28:37 EST
dmraid activates mappings for various ATARAID sollutions (incl. Highpoint)
in FC3 and newer. Initrd integration is missing so far.
Comment 5 Mike Bond 2004-12-08 16:26:44 EST
I've been following the development of dmraid since that is what is needed for
the bios raid style controllers. Any eta on getting it into initrd?
Comment 7 Matthew Miller 2005-04-26 12:05:58 EDT
Fedora Core 2 is now maintained by the Fedora Legacy project for
security updates only. If this problem is a security issue, please
reopen and reassign to the Fedora Legacy product. If it is not a
security issue and hasn't been resolved in the current FC3 updates or
in the FC4 test release, reopen and change the version to match.
Comment 8 Heinz Mauelshagen 2005-06-06 10:35:53 EDT
Closing because initramfs integration is happening in FC4/RHEL4.

Note You need to log in before you can comment on or make changes to this bug.